# Generated by Django 3.0.4 on 2021-05-15 21:05

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("concert", "0006_auto_20210516_0005"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("artist", "0002_auto_20210510_2341"),
    ]

    operations = [
        migrations.AlterField(
            model_name="userartist",
            name="artist",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="users",
                to="artist.Artist",
                verbose_name="артист",
            ),
        ),
        migrations.AlterField(
            model_name="userartist",
            name="count",
            field=models.PositiveIntegerField(default=1, verbose_name="число треков"),
        ),
        migrations.AlterField(
            model_name="userartist",
            name="user",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="artists",
                to=settings.AUTH_USER_MODEL,
                verbose_name="пользователь",
            ),
        ),
        migrations.CreateModel(
            name="ConcertArtist",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "probability",
                    models.FloatField(null=True, verbose_name="вероятность"),
                ),
                (
                    "artist",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="artists",
                        to="artist.Artist",
                        verbose_name="артист",
                    ),
                ),
                (
                    "concert",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="concerts",
                        to="concert.Concert",
                        verbose_name="концерт",
                    ),
                ),
            ],
            options={
                "verbose_name": "концерт артиста",
                "verbose_name_plural": "концерты артиста",
            },
        ),
    ]
